View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000019SoothERPsécuritépublic2011-10-30 17:492013-07-28 23:05
ReporterYves 
Assigned ToYves 
PrioritylowSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionAlpha 
Target Version1.0Fixed in Version1.0 
Summary0000019: Le popup le login après un time-out de session, incrémente le nombre d'essais infructueux sans autre effet
DescriptionAprès un time-out de session, le popup de re-login incrémente "sans fin" les échecs de login en cas de données de connexion invalides.
Tant qu'à avoir mis en place un comptage d'essais infructueux, autant imposer une limite pour que le comptage ait une utilité contre les robots ou autre brute force.
Cependant le comptage actuel incrémente dans un champ hidden de formulaire et, en dehors de l'absence de limite du nombre d'essais, est donc totalement contournable.
Il faudrait idéalement réviser entièrement le process et l'implanter également dans la page d'accueil.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000098)
Yves (administrator)
2013-07-21 19:01

Pas de sécurité non plus sur ce point sur la page de login principal (pas de protection contre une attaque brute force)

- Issue History
Date Modified Username Field Change
2011-10-30 17:49 Yves New Issue
2013-01-19 08:34 Yves Target Version => 1.0
2013-07-21 18:59 Yves Assigned To => Yves
2013-07-21 18:59 Yves Status new => assigned
2013-07-21 19:01 Yves Note Added: 0000098
2013-07-21 19:01 Yves Severity minor => major
2013-07-28 23:05 Yves Status assigned => resolved
2013-07-28 23:05 Yves Fixed in Version => 1.0
2013-07-28 23:05 Yves Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker